gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MnemonicAction

Contents

- Exported types
- Methods
  - get

Description

Activates a widget with a mnemonic.

This means that `widgetMnemonicActivate` is called.

Synopsis

- newtype MnemonicAction = MnemonicAction (ManagedPtr MnemonicAction)
- class (GObject o, IsDescendantOf MnemonicAction o) => IsMnemonicAction o
- toMnemonicAction :: (MonadIO m, IsMnemonicAction o) => o -> m MnemonicAction
- mnemonicActionGet :: (HasCallStack, MonadIO m) => m MnemonicAction

# Exported types

newtype MnemonicAction Source #

Memory-managed wrapper type.

Constructors

MnemonicAction (ManagedPtr MnemonicAction) |

#### Instances

Instances details

Eq MnemonicAction Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction Methods (==) :: MnemonicAction -> MnemonicAction -> Bool Source # (/=) :: MnemonicAction -> MnemonicAction -> Bool Source #
GObject MnemonicAction Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction
ManagedPtrNewtype MnemonicAction Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction Methods toManagedPtr :: MnemonicAction -> ManagedPtr MnemonicAction Source #
TypedObject MnemonicAction Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction Methods glibType :: IO GType Source #
HasParentTypes MnemonicAction Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction
IsGValue (Maybe MnemonicAction) Source # | Convert `MnemonicAction` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MnemonicAction Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MnemonicAction -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MnemonicAction) Source #
type ParentTypes MnemonicAction Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction type ParentTypes MnemonicAction = '[ShortcutAction, Object]

class (GObject o, IsDescendantOf MnemonicAction o) => IsMnemonicAction o Source #

Type class for types which can be safely cast to `MnemonicAction`, for instance with `toMnemonicAction`.

#### Instances

Instances details

(GObject o, IsDescendantOf MnemonicAction o) => IsMnemonicAction o Source # |
Instance details Defined in GI.Gtk.Objects.MnemonicAction

toMnemonicAction :: (MonadIO m, IsMnemonicAction o) => o -> m MnemonicAction Source #

Cast to `MnemonicAction`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, print, ref, refSink, runDispose, stealData, stealQdata, thawNotify, toString, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## get

mnemonicActionGet Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m MnemonicAction | Returns: The mnemonic action

Gets the mnemonic action.

This is an action that calls `widgetMnemonicActivate` on the given widget upon activation.